<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: util/cart2sphere.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_81f17f03227d7067ce13f3651b0bf66b.html">util</a>
  </div>
</div>
<div class="contents">
<h1>cart2sphere.c File Reference</h1><code>#include &quot;<a class="el" href="util_8h_source.html">util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for cart2sphere.c:</div>
<div class="dynsection">
<div class="center"><img src="cart2sphere_8c__incl.png" border="0" usemap="#util_2cart2sphere_8c_map" alt=""/></div>
<map name="util_2cart2sphere_8c_map" id="util_2cart2sphere_8c">
<area shape="rect" id="node3" href="util_8h.html" title="util.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="cart2sphere_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="cart2sphere_8c.html#a2f8d6af80c328b771a233e4912be1835">Sphere2Cart</a> (Vec S, Vec C)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="cart2sphere_8c.html#a519926eb0e8844daa1219a94521b9882">Cart2Sphere</a> (Vec C, Vec S)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="cart2sphere_8c.html#aac1a7d4f53770aebf3759a36a9d384b6">Cart2SphereDiff</a> (Vec C, Vec X, Vec S)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a519926eb0e8844daa1219a94521b9882"></a><!-- doxytag: member="cart2sphere.c::Cart2Sphere" ref="a519926eb0e8844daa1219a94521b9882" args="(Vec C, Vec S)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Cart2Sphere </td>
          <td>(</td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>C</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>S</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="cart2sphere_8c_source.html#l00059">59</a> of file <a class="el" href="cart2sphere_8c_source.html">cart2sphere.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, and <a class="el" href="griddata_8h_source.html#l00093">ND</a>.</p>

<p>Referenced by <a class="el" href="eminisolve_8c_source.html#l00466">EminiSolve()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="cart2sphere_8c_a519926eb0e8844daa1219a94521b9882_icgraph.png" border="0" usemap="#cart2sphere_8c_a519926eb0e8844daa1219a94521b9882_icgraph_map" alt=""></div>
<map name="cart2sphere_8c_a519926eb0e8844daa1219a94521b9882_icgraph_map" id="cart2sphere_8c_a519926eb0e8844daa1219a94521b9882_icgraph">
<area shape="rect" id="node3" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="151,31,236,62"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="285,5,344,35"/><area shape="rect" id="node9" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="288,58,341,89"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="392,31,443,62"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aac1a7d4f53770aebf3759a36a9d384b6"></a><!-- doxytag: member="cart2sphere.c::Cart2SphereDiff" ref="aac1a7d4f53770aebf3759a36a9d384b6" args="(Vec C, Vec X, Vec S)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Cart2SphereDiff </td>
          <td>(</td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>C</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>X</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>S</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="cart2sphere_8c_source.html#l00092">92</a> of file <a class="el" href="cart2sphere_8c_source.html">cart2sphere.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, and <a class="el" href="griddata_8h_source.html#l00093">ND</a>.</p>

<p>Referenced by <a class="el" href="eminisolve_8c_source.html#l00076">TaoEvalEnergyGrad()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="cart2sphere_8c_aac1a7d4f53770aebf3759a36a9d384b6_icgraph.png" border="0" usemap="#cart2sphere_8c_aac1a7d4f53770aebf3759a36a9d384b6_icgraph_map" alt=""></div>
<map name="cart2sphere_8c_aac1a7d4f53770aebf3759a36a9d384b6_icgraph_map" id="cart2sphere_8c_aac1a7d4f53770aebf3759a36a9d384b6_icgraph">
<area shape="rect" id="node3" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="168,5,304,35"/><area shape="rect" id="node5" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="353,5,479,35"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="528,5,587,35"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="635,5,685,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a2f8d6af80c328b771a233e4912be1835"></a><!-- doxytag: member="cart2sphere.c::Sphere2Cart" ref="a2f8d6af80c328b771a233e4912be1835" args="(Vec S, Vec C)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Sphere2Cart </td>
          <td>(</td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>S</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>C</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="cart2sphere_8c_source.html#l00029">29</a> of file <a class="el" href="cart2sphere_8c_source.html">cart2sphere.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, and <a class="el" href="griddata_8h_source.html#l00093">ND</a>.</p>

<p>Referenced by <a class="el" href="eminisolve_8c_source.html#l00191">ConvTest()</a>, and <a class="el" href="eminisolve_8c_source.html#l00076">TaoEvalEnergyGrad()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="cart2sphere_8c_a2f8d6af80c328b771a233e4912be1835_icgraph.png" border="0" usemap="#cart2sphere_8c_a2f8d6af80c328b771a233e4912be1835_icgraph_map" alt=""></div>
<map name="cart2sphere_8c_a2f8d6af80c328b771a233e4912be1835_icgraph_map" id="cart2sphere_8c_a2f8d6af80c328b771a233e4912be1835_icgraph">
<area shape="rect" id="node3" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="179,5,256,35"/><area shape="rect" id="node11" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="149,58,285,89"/><area shape="rect" id="node5" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="335,31,460,62"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="509,31,568,62"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="616,31,667,62"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

